OPENGL NATIVE PLUG-IN ERROR

0 votes
asked Jul 12 by drcaos (120 points)

Hi there,

I'm getting this error only in ANDROID with Unity 2019.1.9f1, do you have any clues?

OPENGL NATIVE PLUG-IN ERROR: GL_INVALID_OPERATION: Operation illegal in current state
UnityEngine.GL:IssuePluginEvent(Int32)
EasyAR.Augmenter:RetrieveVideoBackground()
EasyAR.ARCameraBaseBehaviour:Update()

[/Users/builduser/buildslave/unity/build/Runtime/GfxDevice/opengles/GfxDeviceGLES.cpp line 351] 
(Filename: /Users/builduser/buildslave/unity/build/Runtime/GfxDevice/opengles/GfxDeviceGLES.cpp Line: 351)

1 Answer

0 votes
answered Jul 12 by zhangpengar (1,780 points)
For EasyAR 1.x and 2.x:

It is required to set Graphics API to OpenGL ES 2.0.

For Android, option Multithreaded Rendering need to be disabled.

This problem has been addressed in EasyAR 3.0 (except for Recording).
commented Jul 12 by drcaos (120 points)
Thank you zhang, unfortunately OpenGL ES 2.0 and multithread were already ok :(
Welcome to EasyAR SDK Q&A, where you can ask questions and receive answers from other members of the community.
...